CVE-2023-38103

NameCVE-2023-38103
DescriptionZDI-CAN-21443: Integer overflow leading to heap overwrite in RealMedia file handling
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, GitHub advisories/code/issues, web search, more)
ReferencesDLA-3552-1, DSA-5476-1
Debian Bugs1043501

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
gst-plugins-ugly1.0 (PTS)buster1.14.4-1+deb10u1vulnerable
buster (security)1.14.4-1+deb10u2fixed
bullseye (security), bullseye1.18.4-2+deb11u1fixed
bookworm, bookworm (security)1.22.0-2+deb12u1fixed
sid, trixie1.22.6-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
gst-plugins-ugly0.10source(unstable)(unfixed)
gst-plugins-ugly1.0sourcebuster1.14.4-1+deb10u2DLA-3552-1
gst-plugins-ugly1.0sourcebullseye1.18.4-2+deb11u1DSA-5476-1
gst-plugins-ugly1.0sourcebookworm1.22.0-2+deb12u1DSA-5476-1
gst-plugins-ugly1.0source(unstable)1.22.5-11043501

Notes

https://gstreamer.freedesktop.org/security/sa-2023-0004.html
https://gitlab.freedesktop.org/gstreamer/gstreamer/-/issues/2782
https://gitlab.freedesktop.org/gstreamer/gstreamer/-/commit/b268b27cd8ff0dda1fda71890cd414f4cb2096db
https://gitlab.freedesktop.org/gstreamer/gstreamer/-/commit/4266ba0fd2be7702044a5d90a8215abe41709874 (1.22.5)
https://www.zerodayinitiative.com/advisories/ZDI-23-1007/

Search for package or bug name: Reporting problems